ModernLoop Internal API
Apipylon

Get a Pylon issue (GET /issues/{id})

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/pylon/issues/string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "data": {    "id": "string",    "number": 0,    "title": "string",    "body_html": "string",    "state": "string",    "source": "string",    "type": "string",    "link": "string",    "tags": [      "string"    ],    "account": {      "id": "string"    },    "assignee": {      "id": "string",      "email": "string"    },    "requester": {      "id": "string",      "email": "string"    },    "team": {      "id": "string"    },    "attachment_urls": [      "string"    ],    "external_issues": [      {        "external_id": "string",        "link": "string",        "source": "string"      }    ],    "created_at": "string",    "latest_message_time": "string",    "first_response_time": "string",    "resolution_time": "string",    "snoozed_until_time": "string"  },  "request_id": "string"}
{  "data": {},  "pagination": {    "cursor": "string",    "has_next_page": true  },  "request_id": "string",  "errors": [    "string"  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "errors": [    "string"  ],  "request_id": "string"}
{  "errors": [    "string"  ],  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Issue UUID or issue number

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json